Subject: Re: via-rhine -- VT6105M and checksum offloading

From: Roger Luethi <[email-masked]>
Date: Fri, 25 Feb 2011 08:53:03 +0100

On Thu, 24 Feb 2011 12:23:54 -0800, David Miller wrote:
> From: Benjamin LaHaise <[email-masked]>
> Date: Thu, 24 Feb 2011 13:58:05 -0500
> 
> > Upon investigation, it looks like the VT6105M isn't actually using the 
> > hardware checksum offloading support of the hardware.  Are there any 
> > known reasons why this isn't enabled (hardware bugs?)?  I'll test enabling 
> 
> As far as I can tell it was never attempted.  So it should work.
> 
> If you do that, while you're here, you can make rhine_rx() take
> a "napi" arg and make this driver use netif_gso_receive() too.
> Don't forget to set NETIF_F_GRO or similar in netdev->flags during
> probe, and also hookup the necessary ethtool hooks.

I have a patch to enable hw checksumming (the ethtool hooks are done, but I
somehow missed the NETIF_F_GRO bit). Care to give it a whirl?

Roger